import { world, system, EquipmentSlot, EntityEquippableComponent } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui"
const placedLightBlocks = new Map();

//THIRST
world.afterEvents.itemUse.subscribe((eventData) => {
const player = eventData.source
const item = player.getComponent('equippable').getEquipment('Mainhand')
     if (item?.typeId == 'true:coca_cola') {
         player.runCommandAsync("scoreboard players remove @s hydration 30");
         player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
         player.runCommandAsync("clear @s true:coca_cola 0 1");
         player.runCommandAsync("give @s true:iron_fragment 1");
        }
        if (item?.typeId == 'true:cherry_coca_cola') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:cherry_coca_cola 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:vanilla_coca_cola') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:vanilla_coca_cola 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:cherry_pepsi') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:cherry_pepsi 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:dr_pepper') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:dr_pepper 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:fanta_fruit_twist') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:fanta_fruit_twist 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:fanta_orange') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:fanta_orange 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:pepsi') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:pepsi 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:pepsi_max') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:pepsi_max 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:pepsi_max_lime') {
          player.runCommandAsync("scoreboard players remove @s hydration 30");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:pepsi_max_lime 0 1");
          player.runCommandAsync("give @s true:iron_fragment 1");
         }
         if (item?.typeId == 'true:bottle_of_beer') {
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_beer 0 1");
          player.runCommandAsync("effect @s nausea 10 2 true");
          player.runCommandAsync("effect @s resistance 30 5 true");
         }
         if (item?.typeId == 'true:bottle_of_water_4' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_4 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_4' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 100");
          player.runCommandAsync("scoreboard players remove @s blood 5");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_4 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_3 1");
         }
         if (item?.typeId == 'true:bottle_of_water_3' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_3 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_3' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 100");
          player.runCommandAsync("scoreboard players remove @s blood 5");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_3 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_2 1");
         }
         if (item?.typeId == 'true:bottle_of_water_2' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_2 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_2' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 100");
          player.runCommandAsync("scoreboard players remove @s blood 5");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_2 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_1 1");
         }
         if (item?.typeId == 'true:bottle_of_water_1' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_1 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_1' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 100");
          player.runCommandAsync("scoreboard players remove @s blood 5");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_1 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_0 1");
         }
         if (item?.typeId == 'true:bottle_of_water_0' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_0 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_4' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_4 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_4' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 10");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_4 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_3 1");
          player.runCommandAsync("effect @s hunger 20 2 true");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_3' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_3 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_3' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 10");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_3 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_2 1");
          player.runCommandAsync("effect @s hunger 20 2 true");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_2' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_2 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_2' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 10");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_2 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_1 1");
          player.runCommandAsync("effect @s hunger 20 2 true");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_1' && player.isInWater == true) {
          player.runCommandAsync("playsound bottle_refill @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_1 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_dirty_4 1");
         }
         if (item?.typeId == 'true:bottle_of_water_dirty_1' && player.isInWater == false) {
          player.runCommandAsync("scoreboard players remove @s hydration 10");
          player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
          player.runCommandAsync("clear @s true:bottle_of_water_dirty_1 0 1");
          player.runCommandAsync("give @s true:bottle_of_water_0 1");
          player.runCommandAsync("effect @s hunger 20 2 true");
         }
     }
);
world.afterEvents.itemCompleteUse.subscribe((eventData) => {
  const player = eventData.source
  const item = player.getComponent('equippable').getEquipment('Mainhand')
          if (item?.typeId == 'minecraft:melon_slice') {
            player.runCommandAsync("scoreboard players remove @s hydration 30");
           }
           if (item?.typeId == 'minecraft:apple') {
            player.runCommandAsync("scoreboard players remove @s hydration 30");
           }
           if (item?.typeId == 'minecraft:carrot') {
            player.runCommandAsync("scoreboard players remove @s hydration 10");
           }
       }
  );
//MEDICAL
world.afterEvents.itemUse.subscribe((eventData) => {
  const player = eventData.source
  const item = player.getComponent('equippable').getEquipment('Mainhand') 
          if (item?.typeId == 'true:bandage') {
           player.runCommandAsync("playsound player_bandage @a [r=2] ~ ~ ~");
           player.runCommandAsync("clear @s true:bandage 0 1");
           player.runCommandAsync("effect @s regeneration 10 4 true");
          }
          if (item?.typeId == 'true:steroids') {
           player.runCommandAsync("scoreboard players add @s hydration 40");
           player.runCommandAsync("playsound player_pills @a [r=2] ~ ~ ~");
           player.runCommandAsync("clear @s true:steroids 0 1");
           player.runCommandAsync("effect @s speed 30 2 true");
           player.runCommandAsync("effect @s strength 30 2 true");
           player.runCommandAsync("effect @s jump_boost 30 2 true");
          }
          if (item?.typeId == 'true:penicillin') {
            player.runCommandAsync("scoreboard players add @s hydration 20");
            player.runCommandAsync("playsound player_pills @a [r=2] ~ ~ ~");
            player.runCommandAsync("scoreboard players remove @s blood 60");
            player.runCommandAsync("clear @s true:penicillin 0 1");
          }
          if (item?.typeId == 'true:cephalosporin') {
            player.runCommandAsync("scoreboard players add @s hydration 20");
            player.runCommandAsync("playsound player_pills @a [r=2] ~ ~ ~");
            player.runCommandAsync("scoreboard players remove @s blood 30");
            player.runCommandAsync("clear @s true:cephalosporin 0 1");
          }
          if (item?.typeId == 'true:doxycycline') {
            player.runCommandAsync("scoreboard players add @s hydration 20");
            player.runCommandAsync("playsound player_pills @a [r=2] ~ ~ ~");
            player.runCommandAsync("scoreboard players remove @s blood 30");
            player.runCommandAsync("clear @s true:doxycycline 0 1");
          }
          if (item?.typeId == 'true:tetracycline') {
            player.runCommandAsync("scoreboard players add @s hydration 20");
            player.runCommandAsync("playsound player_pills @a [r=2] ~ ~ ~");
            player.runCommandAsync("scoreboard players remove @s blood 30");
            player.runCommandAsync("clear @s true:tetracycline 0 1");
          }
          if (item?.typeId == 'true:cigarette') {
            player.runCommandAsync(`particle true:spray_can ^ ^1 ^`);
            player.runCommandAsync("effect @s resistance 30 2 true");
            player.runCommandAsync("clear @s true:cigarette 0 1");
          }
          if (item?.typeId == 'true:morphine') {
           player.runCommandAsync("scoreboard players add @s hydration 20");
           player.runCommandAsync("playsound player_pills @a [r=2] ~ ~ ~");
           player.runCommandAsync("clear @s true:morphine 0 1");
           player.runCommandAsync("effect @s regeneration 30 5 true");
           player.runCommandAsync("effect @s slowness 0 0 true");
          }
         if (item?.typeId == 'true:leg_splint') {
           player.runCommandAsync("playsound player_strap @a [r=2] ~ ~ ~");
           player.runCommandAsync("clear @s true:leg_splint 0 1");
           player.runCommandAsync("effect @s slowness 0 0 true");
          }
       }
  );
  world.afterEvents.itemCompleteUse.subscribe((eventData) => {
    const player = eventData.source
    const item = player.getComponent('equippable').getEquipment('Mainhand')
            if (item?.typeId == 'minecraft:honey_bottle') {
              player.runCommandAsync("scoreboard players remove @s blood 80");
             }
         }
    );
  //ENERGY
  world.afterEvents.itemUse.subscribe((eventData) => {
    const player = eventData.source
    const item = player.getComponent('equippable').getEquipment('Mainhand') 
            if (item?.typeId == 'true:pro_plus') {
              player.runCommandAsync("playsound player_pills @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s energy 60");
              player.runCommandAsync("clear @s true:pro_plus 0 1");
            }
            if (item?.typeId == 'true:adrenaline') {
              player.runCommandAsync("scoreboard players remove @s energy 80");
              player.runCommandAsync("clear @s true:adrenaline 0 1");
            }
            if (item?.typeId == 'true:red_bull') {
              player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s energy 40");
              player.runCommandAsync("clear @s true:red_bull 0 1");
              player.runCommandAsync("give @s true:iron_fragment 1");
             }
             if (item?.typeId == 'true:monster') {
              player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s energy 40");
              player.runCommandAsync("clear @s true:monster 0 1");
              player.runCommandAsync("give @s true:iron_fragment 1");
             }
         }
    );
    world.afterEvents.itemCompleteUse.subscribe((eventData) => {
      const player = eventData.source
      const item = player.getComponent('equippable').getEquipment('Mainhand')
               if (item?.typeId == 'minecraft:potato') {
                player.runCommandAsync("scoreboard players remove @s energy 10");
               }
               if (item?.typeId == 'true:diam') {
                player.runCommandAsync("scoreboard players remove @s energy 10");
               }
               if (item?.typeId == 'true:mars') {
                player.runCommandAsync("scoreboard players remove @s energy 10");
               }
               if (item?.typeId == 'true:twix') {
                player.runCommandAsync("scoreboard players remove @s energy 10");
               }
               if (item?.typeId == 'true:granola_bar') {
                player.runCommandAsync("scoreboard players remove @s energy 10");
               }
               if (item?.typeId == 'true:peanut') {
                player.runCommandAsync("scoreboard players remove @s energy 2");
               }
           }
      );
  //HYGIENE
  world.afterEvents.itemUse.subscribe((eventData) => {
    const player = eventData.source
    const item = player.getComponent('equippable').getEquipment('Mainhand') 
            if (item?.typeId == 'true:lynx_africa') {
              player.runCommandAsync("playsound spray_can @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s hygiene 10");
              player.runCommandAsync(`particle true:spray_can ^ ^1 ^`);
              player.runCommandAsync("clear @s true:lynx_africa 0 1");
            }
            if (item?.typeId == 'true:lynx_attract') {
              player.runCommandAsync("playsound spray_can @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s hygiene 10");
              player.runCommandAsync(`particle true:spray_can ^ ^1 ^`);
              player.runCommandAsync("clear @s true:lynx_attract 0 1");
            }
            if (item?.typeId == 'true:shower_gel_lemon' && player.isInWater == true) {
              player.runCommandAsync("playsound water_splash @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s hygiene 100");
              player.runCommandAsync(`particle true:bubbles ^ ^1 ^`);
              player.runCommandAsync("clear @s true:shower_gel_lemon 0 1");
             }
            if (item?.typeId == 'true:shower_gel_strawberry' && player.isInWater == true) {
              player.runCommandAsync("playsound water_splash @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s hygiene 100");
              player.runCommandAsync(`particle true:bubbles ^ ^1 ^`);
              player.runCommandAsync("clear @s true:shower_gel_strawberry 0 1");
             }
            if (item?.typeId == 'true:shampoo' && player.isInWater == true) {
              player.runCommandAsync("playsound water_splash @a [r=2] ~ ~ ~");
              player.runCommandAsync("scoreboard players remove @s hygiene 50");
              player.runCommandAsync(`particle true:bubbles ^ ^1 ^`);
              player.runCommandAsync("clear @s true:shampoo 0 1");
             }
         }
    );
  //PLAYER PROFILE
  world.afterEvents.itemUse.subscribe((eventData) => {
    const player = eventData.source
    const item = player.getComponent('equippable').getEquipment('Mainhand')
    if (item?.typeId == 'true:profile_card') {
        player.runCommandAsync("playsound player_profile @s ~ ~ ~");
        const gui = new ActionFormData();
        gui.button('§9Thirst§r', 'textures/gui/menu/thirst_icon')
        gui.button('§cBlood Toxicity§r', 'textures/gui/menu/blood_icon')
        gui.button('§eEnergy§r', 'textures/gui/menu/energy_icon')
        gui.button('§bHygiene§r', 'textures/gui/menu/hygiene_icon')
        gui.button('§2Exit!§r', 'textures/gui/menu/exit_icon')
        gui.show(player).then(result => {
            if (result.selection === 0 && player.hasTag("hydration_100")) {
                thirst_100(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_90")) {
              thirst_90(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_80")) {
              thirst_80(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_70")) {
              thirst_70(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_60")) {
              thirst_60(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_50")) {
              thirst_50(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_40")) {
              thirst_40(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_30")) {
              thirst_30(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_20")) {
              thirst_20(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_10")) {
              thirst_10(player)
            }
            if (result.selection === 0 && player.hasTag("hydration_0")) {
              thirst_0(player)
            }
            if (result.selection === 1 && player.hasTag("blood_100")) {
              blood_100(player)
            }
            if (result.selection === 1 && player.hasTag("blood_90")) {
              blood_90(player)
            }
            if (result.selection === 1 && player.hasTag("blood_80")) {
              blood_80(player)
            }
            if (result.selection === 1 && player.hasTag("blood_70")) {
              blood_70(player)
            }
            if (result.selection === 1 && player.hasTag("blood_60")) {
              blood_60(player)
            }
            if (result.selection === 1 && player.hasTag("blood_50")) {
              blood_50(player)
            }
            if (result.selection === 1 && player.hasTag("blood_40")) {
              blood_40(player)
            }
            if (result.selection === 1 && player.hasTag("blood_30")) {
              blood_30(player)
            }
            if (result.selection === 1 && player.hasTag("blood_20")) {
              blood_20(player)
            }
            if (result.selection === 1 && player.hasTag("blood_10")) {
              blood_10(player)
            }
            if (result.selection === 1 && player.hasTag("blood_0")) {
              blood_0(player)
            }
            if (result.selection === 2 && player.hasTag("energy_100")) {
              energy_100(player)
            }
            if (result.selection === 2 && player.hasTag("energy_90")) {
              energy_90(player)
            }
            if (result.selection === 2 && player.hasTag("energy_80")) {
              energy_80(player)
            }
            if (result.selection === 2 && player.hasTag("energy_70")) {
              energy_70(player)
            }
            if (result.selection === 2 && player.hasTag("energy_60")) {
              energy_60(player)
            }
            if (result.selection === 2 && player.hasTag("energy_50")) {
              energy_50(player)
            }
            if (result.selection === 2 && player.hasTag("energy_40")) {
              energy_40(player)
            }
            if (result.selection === 2 && player.hasTag("energy_30")) {
              energy_30(player)
            }
            if (result.selection === 2 && player.hasTag("energy_20")) {
              energy_20(player)
            }
            if (result.selection === 2 && player.hasTag("energy_10")) {
              energy_10(player)
            }
            if (result.selection === 2 && player.hasTag("energy_0")) {
              energy_0(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_100")) {
              hygiene_100(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_90")) {
              hygiene_90(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_80")) {
              hygiene_80(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_70")) {
              hygiene_70(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_60")) {
              hygiene_60(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_50")) {
              hygiene_50(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_40")) {
              hygiene_40(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_30")) {
              hygiene_30(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_20")) {
              hygiene_20(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_10")) {
              hygiene_10(player)
            }
            if (result.selection === 3 && player.hasTag("hygiene_0")) {
              hygiene_0(player)
            }
            if (result.selection === 4) {
                exit(player)
            }
         }
      )
   }
   //HYDRATION
  function thirst_100(player) {
    player.sendMessage("Your Hydration levels are at ½100ⁿ");
  }
  function thirst_90(player) {
    player.sendMessage("Your Hydration levels are at ½90ⁿ");
  }
  function thirst_80(player) {
    player.sendMessage("Your Hydration levels are at ½80ⁿ");
  }
  function thirst_70(player) {
    player.sendMessage("Your Hydration levels are at ½70ⁿ");
  }
  function thirst_60(player) {
    player.sendMessage("Your Hydration levels are at ½60ⁿ");
  }
  function thirst_50(player) {
    player.sendMessage("Your Hydration levels are at ½50ⁿ");
  }
  function thirst_40(player) {
    player.sendMessage("Your Hydration levels are at ½40ⁿ");
  }
  function thirst_30(player) {
    player.sendMessage("Your Hydration levels are at ½30ⁿ");
  }
  function thirst_20(player) {
    player.sendMessage("Your Hydration levels are at ½20ⁿ");
  }
  function thirst_10(player) {
    player.sendMessage("Your Hydration levels are at ½10ⁿ");
  }
  function thirst_0(player) {
    player.sendMessage("Your Hydration levels are at ½0ⁿ");
  }
  //BLOOD
  function blood_100(player) {
    player.sendMessage("Your Blood Toxicity is ¼0ⁿ");
  }
  function blood_90(player) {
    player.sendMessage("Your Blood Toxicity is ¼10ⁿ");
  }
  function blood_80(player) {
    player.sendMessage("Your Blood Toxicity is ¼20ⁿ");
  }
  function blood_70(player) {
    player.sendMessage("Your Blood Toxicity is ¼30ⁿ");
  }
  function blood_60(player) {
    player.sendMessage("Your Blood Toxicity is ¼40ⁿ");
  }
  function blood_50(player) {
    player.sendMessage("Your Blood Toxicity is ¼50ⁿ");
  }
  function blood_40(player) {
    player.sendMessage("Your Blood Toxicity is ¼60ⁿ");
  }
  function blood_30(player) {
    player.sendMessage("Your Blood Toxicity is ¼70ⁿ");
  }
  function blood_20(player) {
    player.sendMessage("Your Blood Toxicity is ¼80ⁿ");
  }
  function blood_10(player) {
    player.sendMessage("Your Blood Toxicity is ¼90ⁿ");
  }
  function blood_0(player) {
    player.sendMessage("Your Blood Toxicity is ¼100ⁿ");
  }
  //ENERGY
  function energy_100(player) {
    player.sendMessage("Your Energy Levels are at ¿100ⁿ");
  }
  function energy_90(player) {
    player.sendMessage("Your Energy Levels are at ¿90ⁿ");
  }
  function energy_80(player) {
    player.sendMessage("Your Energy Levels are at ¿80ⁿ");
  }
  function energy_70(player) {
    player.sendMessage("Your Energy Levels are at ¿70ⁿ");
  }
  function energy_60(player) {
    player.sendMessage("Your Energy Levels are at ¿60ⁿ");
  }
  function energy_50(player) {
    player.sendMessage("Your Energy Levels are at ¿50ⁿ");
  }
  function energy_40(player) {
    player.sendMessage("Your Energy Levels are at ¿40ⁿ");
  }
  function energy_30(player) {
    player.sendMessage("Your Energy Levels are at ¿30ⁿ");
  }
  function energy_20(player) {
    player.sendMessage("Your Energy Levels are at ¿20ⁿ");
  }
  function energy_10(player) {
    player.sendMessage("Your Energy Levels are at ¿10ⁿ");
  }
  function energy_0(player) {
    player.sendMessage("Your Energy Levels are at ¿0ⁿ");
  }
  //HYGIENE
  function hygiene_100(player) {
    player.sendMessage("Your Hygiene Levels are at ²100ⁿ");
  }
  function hygiene_90(player) {
    player.sendMessage("Your Hygiene Levels are at ²90ⁿ");
  }
  function hygiene_80(player) {
    player.sendMessage("Your Hygiene Levels are at ²80ⁿ");
  }
  function hygiene_70(player) {
    player.sendMessage("Your Hygiene Levels are at ²70ⁿ");
  }
  function hygiene_60(player) {
    player.sendMessage("Your Hygiene Levels are at ²60ⁿ");
  }
  function hygiene_50(player) {
    player.sendMessage("Your Hygiene Levels are at ²50ⁿ");
  }
  function hygiene_40(player) {
    player.sendMessage("Your Hygiene Levels are at ²40ⁿ");
  }
  function hygiene_30(player) {
    player.sendMessage("Your Hygiene Levels are at ²30ⁿ");
  }
  function hygiene_20(player) {
    player.sendMessage("Your Hygiene Levels are at ²20ⁿ");
  }
  function hygiene_10(player) {
    player.sendMessage("Your Hygiene Levels are at ²10ⁿ");
  }
  function hygiene_0(player) {
    player.sendMessage("Your Hygiene Levels are at ²0ⁿ");
  }
  function exit(player) {
    player.runCommandAsync;
     }
   }
)
 //WALKIE TALKIE
 world.afterEvents.itemUse.subscribe((eventData) => {
  const player = eventData.source
  const item = player.getComponent('equippable').getEquipment('Mainhand')
  if (item?.typeId == 'true:walkie_talkie') {
      player.runCommandAsync("playsound walkie_talkie_active @s ~ ~ ~");
      const gui = new ActionFormData();
      gui.button('Armory Supply Drop', 'textures/gui/menu/armory_icon')
      gui.button('Food Supply Drop', 'textures/gui/menu/food_icon')
      gui.button('Medical Supply Drop', 'textures/gui/menu/medical_icon')
      gui.button('Send Help!', 'textures/gui/menu/army_icon')
      gui.button('Exit!', 'textures/gui/menu/exit_icon')
      gui.show(player).then(result => {
          if (result.selection === 0) {
            armory_supply(player)
          }
          if (result.selection === 1) {
            food_supply(player)
          }
          if (result.selection === 2) {
            medical_supply(player)
          }
          if (result.selection === 3) {
            send_help(player)
          }
          if (result.selection === 4) {
              exit(player)
          }
       }
    )
 }
 function armory_supply(player) {
  player.runCommandAsync("summon true:supply_crate ~ ~100 ~");
  player.runCommandAsync("playsound walkie_talkie_supply @s ~ ~ ~");
  player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 true:walkie_talkie_dead");
  }
  function food_supply(player) {
  player.runCommandAsync("summon true:supply_crate_food ~ ~100 ~");
  player.runCommandAsync("playsound walkie_talkie_supply @s ~ ~ ~");
  player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 true:walkie_talkie_dead");
  }
  function medical_supply(player) {
    player.runCommandAsync("summon true:supply_crate_medical ~ ~100 ~");
    player.runCommandAsync("playsound walkie_talkie_supply @s ~ ~ ~");
    player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 true:walkie_talkie_dead");
  }
  function send_help(player) {
    player.runCommandAsync("summon true:soldier ~ ~ ~4");
    player.runCommandAsync("summon true:soldier ~ ~ ~-4");
    player.runCommandAsync("summon true:soldier ~4 ~ ~");
    player.runCommandAsync("summon true:soldier ~-4 ~ ~");
    player.runCommandAsync("playsound walkie_talkie_army @s ~ ~ ~");
    player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 true:walkie_talkie_dead");
  }
 function exit(player) {
  player.runCommandAsync;
   }
 }
)
//BACKPACKS
world.afterEvents.itemUse.subscribe((eventData) => {
  const player = eventData.source
  const item = player.getComponent('equippable').getEquipment('Mainhand')
  if (item?.typeId == 'true:backpack_black_item') {
        player.runCommand(`summon true:backpack_black ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
        player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
     }
  if (item?.typeId == 'true:backpack_blue_item') {
        player.runCommand(`summon true:backpack_blue ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
        player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
     }
  if (item?.typeId == 'true:backpack_brown_item') {
        player.runCommand(`summon true:backpack_brown ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
        player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
     }
  if (item?.typeId == 'true:backpack_cyan_item') {
        player.runCommand(`summon true:backpack_cyan ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
        player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
    }
  if (item?.typeId == 'true:backpack_gray_item') {
       player.runCommand(`summon true:backpack_gray ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
       player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_green_item') {
       player.runCommand(`summon true:backpack_green ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
       player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_light_blue_item') {
      player.runCommand(`summon true:backpack_light_blue ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
      player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_lime_item') {
      player.runCommand(`summon true:backpack_lime ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
      player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_magenta_item') {
      player.runCommand(`summon true:backpack_magenta ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
      player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_red_item') {
      player.runCommand(`summon true:backpack_red ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
      player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
    }
  if (item?.typeId == 'true:backpack_orange_item') {
      player.runCommand(`summon true:backpack_orange ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
      player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
   }
  if (item?.typeId == 'true:backpack_pink_item') {
     player.runCommand(`summon true:backpack_pink ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
     player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_purple_item') {
     player.runCommand(`summon true:backpack_purple ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
     player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_silver_item') {
     player.runCommand(`summon true:backpack_silver ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
     player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_white_item') {
     player.runCommand(`summon true:backpack_white ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
     player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_yellow_item') {
    player.runCommand(`summon true:backpack_yellow ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
    player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_chicken_item') {
    player.runCommand(`summon true:backpack_chicken ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
    player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_cow_item') {
    player.runCommand(`summon true:backpack_cow ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
    player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_bee_item') {
     player.runCommand(`summon true:backpack_bee ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
     player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_fox_item') {
     player.runCommand(`summon true:backpack_fox ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
     player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
  if (item?.typeId == 'true:backpack_mooshroom_item') {
     player.runCommand(`summon true:backpack_mooshroom ~ ~ ~ ~ ~ minecraft:entity_spawned "${player.name}"`);
     player.runCommand('replaceitem entity @p slot.weapon.mainhand 0 air');
  }
   }
  )
  //CONSTRUCTION HELMET
  system.runInterval(() => {
      for (const [key, blockInfo] of placedLightBlocks.entries()) {
          const { dimension, x, y, z } = blockInfo;
          dimension.runCommandAsync(
              `fill ${x} ${y} ${z} ${x} ${y} ${z} air replace light_block_10`
          );
          placedLightBlocks.delete(key);
      }
  });
  system.runInterval(() => {
      for (const player of world.getPlayers()) {
          const equippableComponent = player.getComponent(
              EntityEquippableComponent.componentId
            );
          const Head = equippableComponent.getEquipment(EquipmentSlot.Head); 
           if (
              (Head?.typeId == ("true:construction_helmet_light"))
              ) 
              {
              const position = player.location;
              const x = Math.floor(position.x);
              const y = Math.floor(position.y);
              const z = Math.floor(position.z);
              const positionKey = `${x},${y},${z}`;
              if (!placedLightBlocks.has(positionKey)) {
                  player.dimension.runCommandAsync(
                      `setblock ${x} ${y} ${z} light_block_10 keep`
                  );
                  placedLightBlocks.set(positionKey, { dimension: player.dimension, x, y, z });
              }
          }
      }
  });
  